2021-02-24 18:15 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001765Frama-CKernelpublic2015-03-17 22:17
Reportermehdi 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Neon-20140301 
Target VersionFixed in VersionFrama-C Sodium 
Summary0001765: Spelling errors in binary
DescriptionI've detected some spelling errors that end up in the binary. Please find attached a patch that deals with them. Besides, there is also a use of "informations" instead of "information" in a few places in the code.
TagsNo tags attached.
Attached Files
  • patch file icon 0001-Fix-spelling-error-in-binary.patch (2,967 bytes) 2014-04-28 21:47 -
    From: Mehdi Dogguy <mehdi@debian.org>
    Date: Mon, 2 Jan 2012 14:36:52 +0100
    Subject: Fix spelling-error-in-binary
    
    ---
     Changelog                  |    4 ++--
     cil/src/frontc/cabs2cil.ml |    4 ++--
     man/frama-c.1              |    2 +-
     3 files changed, 5 insertions(+), 5 deletions(-)
    
    diff --git a/Changelog b/Changelog
    index b551baf..849fd3c 100644
    --- a/Changelog
    +++ b/Changelog
    @@ -589,7 +589,7 @@ o! Kernel     [2012/11/24] Various types whose names started by t_ in
     o  Rte        [2012/11/23] Export function "exp_annotations" to get RTEs of a C
     	      expression as annotations.
     o*!Kernel     [2012/11/23] Added TLogic_coerce constructor to mark
    -	      explicitely a conversion from a C type to a logical one
    +	      explicitly a conversion from a C type to a logical one
     	      (in particular floating point -> real and integral -> integer).
     	      Fixes issue #1309.
     o! Kernel     [2012/11/22] Remove unintuitive ?prj argument from Cil visitors,
    @@ -1607,7 +1607,7 @@ o* Cil	      [2010/12/20] Fixed bug #645. Ast_info.constant_expr,
     	      mkAddrOrStartOf,mkString,parseInt,sizeOf] no longer use
     	      an optional argument ?loc. It is now a non optional labeled
     	      argument. Previous default value of loc was
    -	      ~loc:Cil_datatype.Location.unkown which is most of the time
    +	      ~loc:Cil_datatype.Location.unknown which is most of the time
     	      not accurate.
     
     ###################################
    diff --git a/cil/src/frontc/cabs2cil.ml b/cil/src/frontc/cabs2cil.ml
    index e803678..2699ae8 100644
    --- a/cil/src/frontc/cabs2cil.ml
    +++ b/cil/src/frontc/cabs2cil.ml
    @@ -2318,7 +2318,7 @@ let makeGlobalVarinfo (isadef: bool) (vi: varinfo) : varinfo * bool =
            * local. This can happen when we declare an extern variable with
            * global scope but we are in a local scope. *)
     
    -    (* We lookup in the environement. If this is extern inline then the name
    +    (* We lookup in the environment. If this is extern inline then the name
          * was already changed to foo__extinline. We lookup with the old name *)
         let lookupname =
           if vi.vstorage = Static then
    @@ -3517,7 +3517,7 @@ let default_argument_promotion idx exp =
                 "implicit prototype cannot have variadic arguments"
           | TNamed _ -> assert false (* unrollType *)
       in
    -  (* if we make a promotion, take it explicitely 
    +  (* if we make a promotion, take it explicitly 
          into account in the argument itself *)
       let (_,e) = castTo arg_type typ exp in
       (name,typ,[]), e
    diff --git a/man/frama-c.1 b/man/frama-c.1
    index 6e46d24..ae537d7 100644
    --- a/man/frama-c.1
    +++ b/man/frama-c.1
    @@ -395,7 +395,7 @@ removes break, continue and switch statement before analyses. Defaults to
     no.
     .TP
     .B -then
    -allows to compose analyzes: a first run of Frama-C will occur with the 
    +allows one to compose analyzes: a first run of Frama-C will occur with the 
     options before
     .B -then
     and a second run will be done with the options after 
    -- 
    
    patch file icon 0001-Fix-spelling-error-in-binary.patch (2,967 bytes) 2014-04-28 21:47 +

-Relationships
+Relationships

-Notes

~0005094

signoles (manager)

Thanks for the patch.
+Notes

-Issue History
Date Modified Username Field Change
2014-04-28 21:47 mehdi New Issue
2014-04-28 21:47 mehdi File Added: 0001-Fix-spelling-error-in-binary.patch
2014-05-11 05:38 signoles Assigned To => signoles
2014-05-11 05:38 signoles Status new => assigned
2014-05-15 09:48 signoles Source_changeset_attached => framac master 81ee9e5b
2014-05-15 09:49 signoles Note Added: 0005094
2014-05-15 09:49 signoles Status assigned => resolved
2014-05-15 09:49 signoles Resolution open => fixed
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:17 signoles Status resolved => closed
+Issue History